<?xml version="1.0"?>
<xsl:stylesheet
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns="http://www-sop.inria.fr/lemme/bo/1.0"
 version="1.0">

<!--===================================================================
    A simple XSLT script which displays a window (JFrame class)
    with an editable text field (JTextField class) holding
    the value of the element '<message>' of the source XML document
    ===================================================================
-->

<xsl:template match="message">
  <bean class="javax.swing.JFrame">
    <add>
      <bean class="javax.swing.JTextField">
        <property name="text">
          <string><xsl:value-of select="."/></string>
        </property>
      </bean>
    </add>
  </bean>
</xsl:template>

</xsl:stylesheet>
