<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns="http://www-sop.inria.fr/lemme/bo/1.0">

  <xsl:output 
    method="html"
    indent="yes"
    encoding="ISO-8859-1"
    media-type="text/html"/>

<xsl:template match="/">
  <xsl:apply-templates select="agenda"/>
</xsl:template>

<xsl:template match="agenda">
  <bean class="fr.inria.ketuk.widgets.VBox">
    <add>
    <bean class="javax.swing.JLabel">
      <args><cast class="javax.swing.Icon">
        <bean class="javax.swing.ImageIcon">
          <args>
            <string>images/logo.jpg</string>
          </args>
        </bean></cast>
      </args>
    </bean>
    </add>
    <add>
    <bean class="fr.inria.ketuk.widgets.TextBox">
          <property name="background">
            <bean class="java.awt.Color">
              <args>
                <cast class="int"><string>200</string></cast>
                <cast class="int"><string>204</string></cast>
                <cast class="int"><string>200</string></cast>
              </args>
            </bean>
          </property>
      <property name="text">
        <string>Si vous etes amateur de bon restos (qui ne l'est pas?) et si vous souhaitez connaitre l'opinion d'autres personnes avant de vous decider, cette page est faite pour vous! Et pensez a nous faire part de vos critiques...</string>
      </property>
    </bean>
    </add>
    <add>
    <bean class="fr.inria.ketuk.widgets.TextBox">
          <property name="background">
            <bean class="java.awt.Color">
              <args>
                <cast class="int"><string>200</string></cast>
                <cast class="int"><string>204</string></cast>
                <cast class="int"><string>200</string></cast>
              </args>
            </bean>
          </property>
      <property name="text">
        <string>Legende des critiques: (Les etoiles ne refletent que la qualite de la cuisine, pas le rapport qualite/prix)</string>
      </property>
    </bean>
    </add>
  <add>
  <bean class="fr.inria.ketuk.widgets.html.Table">
    <add>
    <bean class="fr.inria.ketuk.widgets.html.TR">
      <add>
      <bean class="fr.inria.ketuk.widgets.html.TD">
        <add>
        <bean class="javax.swing.JLabel">
          <property name="text">
            <string>!!!</string>
          </property>
        </bean>
        </add>
      </bean>
      </add>
      <add>
      <bean class="fr.inria.ketuk.widgets.html.TD">
        <add>
        <bean class="javax.swing.JLabel">
          <property name="text">
            <string>A eviter</string>
          </property>
        </bean>
        </add>
      </bean>
      </add>
    </bean>
    </add>
<!-- second row-->
    <add>
    <bean class="fr.inria.ketuk.widgets.html.TR">
      <add>
      <bean class="fr.inria.ketuk.widgets.html.TD">
        <add>
        <bean class="javax.swing.JLabel">
          <property name="text">
            <string>*</string>
          </property>
        </bean>
        </add>
      </bean>
      </add>
      <add>
      <bean class="fr.inria.ketuk.widgets.html.TD">
        <add>
        <bean class="javax.swing.JLabel">
          <property name="text">
            <string>Moyen</string>
          </property>
        </bean>
        </add>
      </bean>
      </add>
    </bean>
    </add>
<!-- third row-->
    <add>
    <bean class="fr.inria.ketuk.widgets.html.TR">
      <add>
      <bean class="fr.inria.ketuk.widgets.html.TD">
        <add>
        <bean class="javax.swing.JLabel">
          <property name="text">
            <string>**</string>
          </property>
        </bean>
        </add>
      </bean>
      </add>
      <add>
      <bean class="fr.inria.ketuk.widgets.html.TD">
        <add>
        <bean class="javax.swing.JLabel">
          <property name="text">
            <string>Bon</string>
          </property>
        </bean>
        </add>
      </bean>
      </add>
    </bean>
    </add>
<!-- fourth row-->
    <add>
    <bean class="fr.inria.ketuk.widgets.html.TR">
      <add>
      <bean class="fr.inria.ketuk.widgets.html.TD">
        <add>
        <bean class="javax.swing.JLabel">
          <property name="text">
            <string>***</string>
          </property>
        </bean>
        </add>
      </bean>
      </add>
      <add>
      <bean class="fr.inria.ketuk.widgets.html.TD">
        <add>
        <bean class="javax.swing.JLabel">
          <property name="text">
            <string>Tres Bon</string>
          </property>
        </bean>
        </add>
      </bean>
      </add>
    </bean>
    </add>
<!-- fifth row-->
    <add>
    <bean class="fr.inria.ketuk.widgets.html.TR">
      <add>
      <bean class="fr.inria.ketuk.widgets.html.TD">
        <add>
        <bean class="javax.swing.JLabel">
          <property name="text">
            <string>****</string>
          </property>
        </bean>
        </add>
      </bean>
      </add>
      <add>
      <bean class="fr.inria.ketuk.widgets.html.TD">
        <add>
        <bean class="javax.swing.JLabel">
          <property name="text">
            <string>Excellent</string>
          </property>
        </bean>
        </add>
      </bean>
      </add>
    </bean>
    </add>
<!-- sixth row-->
    <add>
    <bean class="fr.inria.ketuk.widgets.html.TR">
      <add>
      <bean class="fr.inria.ketuk.widgets.html.TD">
        <add>
        <bean class="javax.swing.JLabel">
          <property name="text">
            <string>*****</string>
          </property>
        </bean>
        </add>
      </bean>
      </add>
      <add>
      <bean class="fr.inria.ketuk.widgets.html.TD">
        <add>
        <bean class="javax.swing.JLabel">
          <property name="text">
            <string>Exceptionnel</string>
          </property>
        </bean>
        </add>
      </bean>
      </add>
    </bean>
    </add>
  </bean>
  </add>

     <add>
     <bean class="javax.swing.JLabel">
      <args><cast class="javax.swing.Icon">
        <bean class="javax.swing.ImageIcon">
          <args>
            <string>images/critiques.jpg</string>
          </args>
        </bean></cast>
      </args>
    </bean>
    </add>
    <xsl:apply-templates select="entry"/>
  </bean>
</xsl:template>

<xsl:template match="entry">
<add>
<bean class="fr.inria.ketuk.widgets.VBox" id="ratingVBox">
    <listener name="container"/>
  <add>
  <bean class="javax.swing.JLabel">
    <property name="text">
      <string><xsl:value-of select="name"/></string>
    </property>
  </bean>
  </add>
  <add>
  <bean class="javax.swing.JLabel">
    <property name="text">
      <string><xsl:value-of select="type"/></string>
    </property>
  </bean>
  </add>
  <add>
  <bean class="javax.swing.JLabel">
    <property name="text">
      <string><xsl:value-of select="city"/></string>
    </property>
  </bean>
  </add>
  <add>
  <bean class="javax.swing.JLabel">
    <property name="text">
      <string><xsl:value-of select="address"/></string>
    </property>
  </bean>
  </add>
  <add>
  <bean class="javax.swing.JLabel">
    <property name="text">
      <string>Tel: <xsl:value-of select="tel"/></string>
    </property>
  </bean>
  </add>
  <add>
  <bean class="javax.swing.JLabel">
    <property name="text">
      <string>Prix: <xsl:value-of select="price"/></string>
    </property>
  </bean>
  </add>
  <add>
  <bean class="javax.swing.JButton">
    <property name="text">
      <string>ajouter une critique</string>
    </property>
    <event-binding name="action">
      <script>
        <fire-event>
          <bean class="fr.inria.ketuk.BeanEditEvent">
            <args>
              <bean source="ratingVBox"/>
              <field target="class:fr.inria.ketuk.BeanEditEvent" name="ADD_CHILD"/>
              <string value="rating"/>
            </args>
          </bean>
        </fire-event>
      </script>
    </event-binding>
  </bean>
  </add>

  <add>
  <bean class="fr.inria.ketuk.widgets.html.Table" id="ratingTable">

    <add>
    <bean class="fr.inria.ketuk.widgets.html.TR">
      <add>
      <bean class="fr.inria.ketuk.widgets.html.TD">
        <add>
        <bean class="javax.swing.JLabel">
          <property name="text">
            <string></string>
          </property>
        </bean>
        </add>
      </bean>
      </add>
      <add>
      <bean class="fr.inria.ketuk.widgets.html.TD">
        <add>
        <bean class="javax.swing.JLabel">
          <property name="text">
            <string>Note</string>
          </property>
        </bean>
        </add>
      </bean>
      </add>
      <add>
      <bean class="fr.inria.ketuk.widgets.html.TD">
        <add>
        <bean class="javax.swing.JLabel">
          <property name="text">
            <string>Testeur</string>
          </property>
        </bean>
        </add>
      </bean>
      </add>
      <add>
      <bean class="fr.inria.ketuk.widgets.html.TD">
        <add>
        <bean class="javax.swing.JLabel">
          <property name="text">
            <string>Date</string>
          </property>
        </bean>
        </add>
      </bean>
      </add>
      <add>
      <bean class="fr.inria.ketuk.widgets.html.TD">
        <add>
        <bean class="javax.swing.JLabel">
          <property name="text">
            <string>Commentaire</string>
          </property>
        </bean>
        </add>
      </bean>
      </add>
    </bean>
    </add>
    <xsl:apply-templates select="rating">
  		<!--xsl:sort select="@by"/-->
    </xsl:apply-templates>
   </bean>
   </add>
</bean>
</add>
</xsl:template>
      
<xsl:template match="rating">
<add>
  <bean class="fr.inria.ketuk.widgets.html.TR" id="row">
    <add>
    <bean class="fr.inria.ketuk.widgets.html.TD">
      <add>
      <bean class="javax.swing.JButton">
        <property name="text">
          <string>-</string>
        </property>
        <event-binding name="action">
          <script>
            <fire-event>
              <bean class="fr.inria.ketuk.BeanEditEvent">
                <args>
                  <bean source="ratingTable"/>
                  <field target="class:fr.inria.ketuk.BeanEditEvent" name="REMOVE_CHILD"/>
                  <bean source="row"/>
                </args>
              </bean>
            </fire-event>
          </script>
        </event-binding>
      </bean>
      </add>
    </bean>
    </add>
      <add>
      <bean class="fr.inria.ketuk.widgets.html.TD">
        <add>
        <bean class="javax.swing.JComboBox">
          <args>
            <array>
              <cast class="java.lang.Object"><string>!!!</string></cast>
              <cast class="java.lang.Object"><string>*</string></cast>
              <cast class="java.lang.Object"><string>**</string></cast>
              <cast class="java.lang.Object"><string>***</string></cast>
              <cast class="java.lang.Object"><string>****</string></cast>
              <cast class="java.lang.Object"><string>*****</string></cast>
            </array>
          </args>
          <property name="selectedItem">
            <string><xsl:value-of select="note"/></string>
          </property>
          <listener name="action"/>
        </bean>
        </add>
      </bean>
      </add>

      <add>
      <bean class="fr.inria.ketuk.widgets.html.TD">
        <add>
        <bean class="javax.swing.JTextField">
          <property name="text">
            <string><xsl:value-of select="@by"/></string>
          </property>
          <property name="background">
            <bean class="java.awt.Color">
              <args>
                <cast class="int"><string>200</string></cast>
                <cast class="int"><string>204</string></cast>
                <cast class="int"><string>200</string></cast>
              </args>
            </bean>
          </property>
          <listener name="action"/>
        </bean>
        </add>
      </bean>
      </add>
      <add>
      <bean class="fr.inria.ketuk.widgets.html.TD">
        <add>
        <bean class="javax.swing.JTextField">
          <property name="background">
            <bean class="java.awt.Color">
              <args>
                <cast class="int"><string>200</string></cast>
                <cast class="int"><string>204</string></cast>
                <cast class="int"><string>200</string></cast>
              </args>
            </bean>
          </property>
          <property name="text">
            <string><xsl:value-of select="date"/></string>
          </property>
          <listener name="action"/>
        </bean>
        </add>
      </bean>
      </add>
      <add>
      <bean class="fr.inria.ketuk.widgets.html.TD">
        <add>
        <bean class="javax.swing.JTextField">
          <property name="background">
            <bean class="java.awt.Color">
              <args>
                <cast class="int"><string>200</string></cast>
                <cast class="int"><string>204</string></cast>
                <cast class="int"><string>200</string></cast>
              </args>
            </bean>
          </property>
          <property name="text">
            <string><xsl:value-of select="comments"/></string>
          </property>
          <listener name="action"/>
        </bean>
        </add>
      </bean>
      </add>
  </bean>
</add>
</xsl:template>

</xsl:stylesheet>
