package com.javaworld.JavaBeans.Oct99;

/**
 * This is the event multicaster class to support the com.JavaWorld.JavaBeans.Oct99.ColorChooserListenerEventMulticaster interface.
 */
public class ColorChooserListenerEventMulticaster extends java.awt.AWTEventMulticaster implements ColorChooserListener {
/**
 * Constructor to support multicast events.
 * @param a com.javaworld.JavaBeans.Oct99.ColorChooserListener
 * @param b com.javaworld.JavaBeans.Oct99.ColorChooserListener
 */
protected ColorChooserListenerEventMulticaster(com.javaworld.JavaBeans.Oct99.ColorChooserListener a, com.javaworld.JavaBeans.Oct99.ColorChooserListener b) {
	super(a, b);
}
/**
 * Add new listener to support multicast events.
 * @return com.javaworld.JavaBeans.Oct99.ColorChooserListener
 * @param a com.javaworld.JavaBeans.Oct99.ColorChooserListener
 * @param b com.javaworld.JavaBeans.Oct99.ColorChooserListener
 */
public static com.javaworld.JavaBeans.Oct99.ColorChooserListener add(com.javaworld.JavaBeans.Oct99.ColorChooserListener a, com.javaworld.JavaBeans.Oct99.ColorChooserListener b) {
	if (a == null)  return b;
	if (b == null)  return a;
	return new ColorChooserListenerEventMulticaster(a, b);
}
/**
 * Remove listener to support multicast events.
 * @return com.javaworld.JavaBeans.Oct99.ColorChooserListener
 * @param a com.javaworld.JavaBeans.Oct99.ColorChooserListener
 * @param b com.javaworld.JavaBeans.Oct99.ColorChooserListener
 */
public static com.javaworld.JavaBeans.Oct99.ColorChooserListener remove(com.javaworld.JavaBeans.Oct99.ColorChooserListener a, com.javaworld.JavaBeans.Oct99.ColorChooserListener b) {
	return (com.javaworld.JavaBeans.Oct99.ColorChooserListener)removeInternal(a, b);
}
/**
 * 
 * @param newEvent java.util.EventObject
 */
public void sbBlueAdjustment_adjustmentValueChanged(java.util.EventObject newEvent) {
	((com.javaworld.JavaBeans.Oct99.ColorChooserListener)a).sbBlueAdjustment_adjustmentValueChanged(newEvent);
	((com.javaworld.JavaBeans.Oct99.ColorChooserListener)b).sbBlueAdjustment_adjustmentValueChanged(newEvent);
}
/**
 * 
 * @param newEvent java.util.EventObject
 */
public void sbGreenAdjustment_adjustmentValueChanged(java.util.EventObject newEvent) {
	((com.javaworld.JavaBeans.Oct99.ColorChooserListener)a).sbGreenAdjustment_adjustmentValueChanged(newEvent);
	((com.javaworld.JavaBeans.Oct99.ColorChooserListener)b).sbGreenAdjustment_adjustmentValueChanged(newEvent);
}
/**
 * 
 * @param newEvent java.util.EventObject
 */
public void sbRedAdjustment_adjustmentValueChanged(java.util.EventObject newEvent) {
	((com.javaworld.JavaBeans.Oct99.ColorChooserListener)a).sbRedAdjustment_adjustmentValueChanged(newEvent);
	((com.javaworld.JavaBeans.Oct99.ColorChooserListener)b).sbRedAdjustment_adjustmentValueChanged(newEvent);
}
}