<?xml version="1.0"?>
<xsl:stylesheet
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns="http://www-sop.inria.fr/lemme/bo/1.0"
 version="1.0">

<xsl:template match="books">
  <bean class="javax.swing.JTable" id="table">
    <args>
      <array>
        <xsl:apply-templates select="book"/>
      </array>
      <array>
        <cast class="java.lang.Object"><string>title</string></cast>
        <cast class="java.lang.Object"><string>author</string></cast>
        <cast class="java.lang.Object"><string>ISBN</string></cast>
        <cast class="java.lang.Object"><string>nb pages</string></cast>
        <cast class="java.lang.Object"><string>date</string></cast>
        <cast class="java.lang.Object"><string>review</string></cast>
        <cast class="java.lang.Object"><string>price</string></cast>
      </array>
    </args>
  </bean>
</xsl:template>

<xsl:template match="book">
  <array>
    <xsl:apply-templates select="title"/>
    <xsl:apply-templates select="author"/>
    <xsl:apply-templates select="isbn"/>
    <xsl:apply-templates select="npages"/>
    <xsl:apply-templates select="date"/>
    <xsl:apply-templates select="review"/>
    <xsl:apply-templates select="price"/>
  </array>
</xsl:template>

<xsl:template match="title|author|isbn|npages|date|review|price">
      <cast class="java.lang.Object">
        <string><xsl:value-of select="."/></string>
      </cast>
</xsl:template>

</xsl:stylesheet>
