/* Copyright (c) 2000 by INRIA. Read the COPYRIGHT file. */
/* Author: Claude.Pasquier@sophia.inria.fr               */

package fr.inria.ketuk.scriptEventHandler;

import fr.inria.ketuk.*;
import javax.swing.event.*;


/**
 * A listener class which handle document events
 *
 * @author Claude Pasquier
 */
  
public class ScriptDocumentHandler implements DocumentListener {

  public void changedUpdate(DocumentEvent event) {
    ScriptEventProcessor p = new ScriptEventProcessor();
    p.processEvent(event, "changedUpdate");
  }

  public void insertUpdate(DocumentEvent event) {
    ScriptEventProcessor p = new ScriptEventProcessor();
    p.processEvent(event, "insertUpdate");
  }

  public void removeUpdate(DocumentEvent event) {
    ScriptEventProcessor p = new ScriptEventProcessor();
    p.processEvent(event, "removeUpdate");
  }
}
