/* Copyright (c) 2000 by INRIA. Read the COPYRIGHT file. */
/* Author: Claude.Pasquier@sophia.inria.fr               */

package fr.inria.ketuk.scriptEventHandler;

import fr.inria.ketuk.*;
import java.awt.event.*;

/**
 * A listener class which handle mouseMotion events
 *
 * @author Claude Pasquier
 */
  
public class ScriptMouseMotionHandler implements MouseMotionListener {
      
  public void mouseDragged(MouseEvent event) {
    ScriptEventProcessor p = new ScriptEventProcessor();
    p.processEvent(event, "mouseDragged");
  }

  public void mouseMoved(MouseEvent event) {
    ScriptEventProcessor p = new ScriptEventProcessor();
    p.processEvent(event, "mouseMoved");
  }
}
