/* Copyright (c) 2000 by INRIA. Read the COPYRIGHT file. */
/* Author: Claude.Pasquier@sophia.inria.fr               */

package fr.inria.ketuk.scriptEventHandler;

import fr.inria.ketuk.*;
import javax.swing.event.*;


/**
 * A listener class which handle tableModel events
 *
 * @author Claude Pasquier
 */
  
public class ScriptTableModelHandler implements TableModelListener {
      
  public void tableChanged(TableModelEvent event) {
    ScriptEventProcessor p = new ScriptEventProcessor();
    p.processEvent(event, "tableChanged");
  }
}
